org.apache.olingo.odata2.api.ep.callback

## Interface TombstoneCallback

- All Superinterfaces:
    ODataCallback

      public interface TombstoneCallback
      extends ODataCallback

  Interface that must be implemented in order to provide tombstone support.

  The callback implementing this interface is registered at the `EntityProviderWriteProperties` using the callback key of this class.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CALLBACK_KEY_TOMBSTONE` The key to be used when registering the callback at the `EntityProviderWriteProperties`
    `static String` | `NAMESPACE_TOMBSTONE`
    `static String` | `PREFIX_TOMBSTONE`
    `static String` | `REL_DELTA` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TombstoneCallbackResult` | `getTombstoneCallbackResult()` This method is called after all entries have been serialized.

- - ### Field Detail

    - #### CALLBACK_KEY_TOMBSTONE

          static final String CALLBACK_KEY_TOMBSTONE

      The key to be used when registering the callback at the `EntityProviderWriteProperties`
      See Also:
        Constant Field Values

    - #### PREFIX_TOMBSTONE

          static final String PREFIX_TOMBSTONE

      See Also:
        Constant Field Values

    - #### NAMESPACE_TOMBSTONE

          static final String NAMESPACE_TOMBSTONE

      See Also:
        Constant Field Values

    - #### REL_DELTA

          @Deprecated
          static final String REL_DELTA

      Deprecated.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getTombstoneCallbackResult

          TombstoneCallbackResult getTombstoneCallbackResult()

      This method is called after all entries have been serialized.

      The returned `TombstoneCallbackResult` must contain all deleted entries, in the form of List<Map<property name, property value>>, which should be serialized.

      A map representing a deleted entry

      - MUST contain all properties which are part of the key for this entry.
      - MAY contain the property which is mapped on SyndicationUpdated. The provided value here will result in the value of the "when" attribute of the deleted entry.

      The provided delta link will be serialized at the end of the feed document.

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.